﻿using System;
using System.Net.Mail;

namespace SMTPTester
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                if (args.Length == 0)
                {
                    Console.Out.WriteLine("Usage: SMTPTester.exe HOST \"From Address\" \"To Address\"");

                    return;
                }//if

                string strHost = args[0];
                string strFrom = args[1];
                string strTo = args[2];

                MailMessage objMessage = new MailMessage(strFrom, strTo, "SMTP Server Test", "The test was successful.");
                SmtpClient objClient = new SmtpClient(strHost);

                objClient.Send(objMessage);

                Console.Out.WriteLine("Your test message from " + strFrom + " and to " + strTo + Environment.NewLine + "was sent using from " + objClient.Host);
            }
            catch (Exception ex)
            {
                Console.Out.WriteLine("Error: " + ex.Message + Environment.NewLine + ex.StackTrace + Environment.NewLine + ex.InnerException.Message + Environment.NewLine + ex.InnerException.StackTrace);
            }//try
        }
    }
}
